Summary:	Improved fork of already forked GYach Enhanced program :-)
Name:		gyachi
Version:	20060524
Release:	3
Vendor:		http://gyachi.sourceforge.net
Source0:	%{name}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}.diff
Group:          Networking/Instant messaging
License:        GPL
Url:            http://gyachi.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libmcrypt-devel

%description
GYachI is a Linux client for Yahoo! Messenger protocol,
written using GTK+ GUI toolkit. This package includes
both the external voice chat program, GYVoice, and the
external webcam program, GyachI-Webcam. In addition,
this package includes GyachI-Broadcaster for sending
webcam streams.

cvs -z3 -d:pserver:anonymous@gyachi.cvs.sourceforge.net:/cvsroot/gyachi co -P gyachi

%prep
%setup -q -n %{name}

%build
%configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
rm -r $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/doc/win32; mv $RPM_BUILD_ROOT/usr/lib/win32/tsd32.dll $RPM_BUILD_ROOT/usr/share/%{name}/doc/win32/
mkdir -p $RPM_BUILD_ROOT/usr/local/share; ln -sf /usr/share/gyachi $RPM_BUILD_ROOT/usr/local/share/gyachi

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
/*
